package me.lensfrex.trailblazer.api.v1.service.token;

import jakarta.ws.rs.POST;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;
import me.lensfrex.trailblazer.api.v1.utils.jwt.JWTManager;

@Path("/token")
public class TokenChecker {
    public static final JWTManager jwtManager = JWTManager.getInstance();

    @POST
    @Path("/check")
    @Produces(MediaType.APPLICATION_JSON)
    public String checkTokenAvailable(String request) {
        return String.valueOf(jwtManager.verifyToken(request));
    }
}
